Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Firefox and Optimus T?

more options

I keep getting "The requested item could not be found" The phone has the Android version 2.2.

All Replies (1)

more options

To run Firefox Mobile, you must have Android 2.0 or higher AND an ARM v7 processor. LG Optimus T has an ARM v6 processor.

See System Requirements for Android.